Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 692506 - app-crypt/pinentry : Allow gtk3 building without gnome-keyring
Summary: app-crypt/pinentry : Allow gtk3 building without gnome-keyring
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mikle Kolyada
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2019-08-19 09:41 UTC by Liam Shepherd
Modified: 2021-01-25 16:11 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
pinentry-1.1.0-r3.ebuild.patch (pinentry-1.1.0-r3.ebuild.patch,1.64 KB, patch)
2019-08-19 09:41 UTC, Liam Shepherd
Details | Diff
pinentry-1.1.0-r3.ebuild.patch v2 (pinentry-1.1.0-r3.ebuild.patch,1.67 KB, patch)
2019-08-20 12:14 UTC, Liam Shepherd
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Liam Shepherd 2019-08-19 09:41:42 UTC
Created attachment 587392 [details, diff]
pinentry-1.1.0-r3.ebuild.patch

As gtk2 is on the way out, it would be nice if pinentry would allow gtk3 (pinentry-gnome3) to be compiled without needing gnome-keyring.

Only an ebuild change is necessary. I've tested the attached patch and it works for me.
Comment 1 Liam Shepherd 2019-08-20 12:14:11 UTC
Created attachment 587608 [details, diff]
pinentry-1.1.0-r3.ebuild.patch v2

Fixed USE flag bug in patch
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-01-05 13:36:47 UTC
I would just USE=gtk for that, without introducing dead flags.

Zlogene, ping.
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2021-01-25 13:39:16 UTC
(In reply to Michał Górny from comment #2)
> I would just USE=gtk for that, without introducing dead flags.
> 
> Zlogene, ping.

Here I agree, lets just put it as the gtk USE and disable gtk2 pinentry at all as being EOL.
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2021-01-25 16:11:56 UTC
pinentry-gnome3 is now built upon the USE=gtk.